----------------------------------------------------------------------------------------------------
-- REGISTER birch lerch TREES
----------------------------------------------------------------------------------------------------
-- Purpose: To register birch lerch trees
-- Author:  zero_ace
-- Copyright (c) Team-Rheinlandpfalz, 2017
----------------------------------------------------------------------------------------------------

registerbirchTrees = {}

local modItem = ModsUtil.findModItemByModName(g_currentModName)
registerbirchTrees.modDir = g_currentModDirectory

function registerbirchTrees:loadMap()
    local treeFilenames = {
        registerbirchTrees.modDir .. "birch/treeSaplingBirch.i3d",
        registerbirchTrees.modDir .. "birch/tree10m.i3d",
        registerbirchTrees.modDir .. "birch/tree20m.i3d",
        registerbirchTrees.modDir .. "birch/tree25m.i3d",
        registerbirchTrees.modDir .. "birch/tree30mBirch.i3d",
        
    }

    TreePlantUtil.registerTreeType("treebirch", "birch tree", treeFilenames, 240)
end;
registerlerchTrees = {}

local modItem = ModsUtil.findModItemByModName(g_currentModName)
registerlerchTrees.modDir = g_currentModDirectory

-- neue funktion um neue Baum.i3d zu laden
function registerlerchTrees:loadMap()
    local treeFilenames = {
        registerlerchTrees.modDir .. "lerch/treeSaplinglerch.i3d",
        registerlerchTrees.modDir .. "lerch/tree10m.i3d",
        registerlerchTrees.modDir .. "lerch/tree20m.i3d",
        registerlerchTrees.modDir .. "lerch/tree25m.i3d",
        registerlerchTrees.modDir .. "lerch/tree30mLerch.i3d",
        
    }

    TreePlantUtil.registerTreeType("treelerch", "lerch tree", treeFilenames, 240)
end;

function registerbirchTrees:load()
end;
function registerlerchTrees:load()
end;

function registerbirchTrees:deleteMap()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:deleteMap()
end;

function registerbirchTrees:keyEvent(unicode, sym, modifier, isDown)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:keyEvent(unicode, sym, modifier, isDown)
end;

function registerbirchTrees:mouseEvent(posX, posY, isDown, isUp, button)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:mouseEvent(posX, posY, isDown, isUp, button)
end;

function registerbirchTrees:update(dt)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:update(dt)
end;

function registerbirchTrees:draw()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:draw()
end;

addModEventListener(registerbirchTrees)
addModEventListener(registerlerchTrees)
